#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "mymesh.h"
#include <QFileDialog>
#include <QMainWindow>


namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void displayMesh(MyMesh *_mesh);

private slots:
	void on_gl_initialized();

private:
	MyMesh mesh;
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
